// JavaScript Document
var formArray;
var prevArray;

var formDataArray;

function initDropBalloon(n0)
{
	try
	{
		//数式の状態
		formArray = [n0];
		
		formDataArray = [];
		
		//係数
		formDataArray[0] = ["2", "1", "\\frac{1}{2}", "\\frac{1}{3}", "\\frac{1}{4}"];
		
		for(var i=0; i<=0; i++)
		{
			var j=formDataArray[i].length;
			
			for(var k=0; k<j; k++)
			{
				document.getElementById("item"+i+"_"+k).addEventListener("click", selectItemHandler);
			}
		}
	}
	catch(e)
	{
		alert("initDropBalloon:" + e.toString());
	}
}

function setFormData()
{
	try
	{
		prevArray = formArray.slice();
		
		changeMathJax("fPart0", formDataArray[0][prevArray[0]]);
	}
	catch(e)
	{
		alert("setFormData:" + e.toString());
	}
}

function openDropBalloonHandler(e)
{
	try
	{
		var idStr = e.currentTarget.id;
		
		var f = false;
		
		//三角関数
		if(idStr == "fPart0")
		{
			if($("#dropBalloon").css("display") !="none" && $("#item0").css("display") == "block")
			{
				$("#dropBalloon").css("display", "none");
			}
			else
			{
				$("#item0").css("display", "block");
				
				f = true;
			}
		}
		
		if(f)
		{
			$("#dropBalloon").css("display", "inline-block");
			
			var pX = $("#"+idStr).position().left;
			var pY = $("#"+idStr).position().top;
			var pW = $("#"+idStr).outerWidth();
			var pH = $("#"+idStr).outerHeight();
			
			$("#dropBalloon").css("left", pX + pW-50);
			$("#dropBalloon").css("top", pY+pH+30);
			
			document.getElementById("dropBalloonBlock").style.height = "auto";
			document.getElementById("dropBalloonBlock").style.overflow = "hidden";
			
			/*
			if($("#dropBalloon").innerHeight() > 200)
			{
				document.getElementById("dropBalloonBlock").style.height = "200px";
				document.getElementById("dropBalloonBlock").style.overflow = "scroll";
			}
			*/
		}
	}
	catch(e)
	{
		alert("openDropBalloonHandler:" + e.toString());
	}
}

/*
function changeOperatorHandler(e)
{
	try
	{
		if(e.currentTarget.id == "fPart1")
		{
			if(prevArray[1])
			{
				changeMathJax("fPart1", ">");
			}
			else
			{
				changeMathJax("fPart1", "<");
			}
			
			prevArray[1]  = !prevArray[1];
		}
		else
		{
			if(prevArray[2])
			{
				changeMathJax("fPart2", "-");
			}
			else
			{
				changeMathJax("fPart2", "+");
			}
			
			prevArray[2]  = !prevArray[2];
		}
	}
	catch(e)
	{
		alert("changeOperatorHandler:" + e.toString());
	}
}
*/

function selectItemHandler(e)
{
	try
	{
		str = e.currentTarget.id;
		
		var i = parseInt(str.substring(4, 5));
		var j = parseInt(str.substring(str.lastIndexOf("_")+1, str.length));
		
		//係数
		if(i==0)
		{
			changeMathJax("fPart0", formDataArray[0][j]);
			prevArray[0] = j;
		}
		
		$("#dropBalloon").css("display", "none");
	}
	catch(e)
	{
		alert("selectItemHandler:" + e.toString());
	}
}
