// JavaScript Document
var formArray;
var prevArray;

var formDataArray;

function initDropBalloon(n0, n1, n2, n3)
{
	try
	{
		//数式の状態
		formArray = [n0, n1, n2, n3];
		
		formDataArray = [];
		
		//三角関数
		formDataArray[0] = ["\\sin", "\\cos", "\\tan"];

		//右辺の値
		formDataArray[1] = ["\\frac{1}{2}", "\\frac{1}{\\sqrt{3}}", "\\frac{1}{\\sqrt{2}}", "\\frac{\\sqrt{3}}{2}", "1", "\\sqrt{3}"];
		
		for(var i=0; i<=1; i++)
		{
			var j=formDataArray[i].length;
			
			for(var k=0; k<j; k++)
			{
				document.getElementById("item"+i+"_"+k).addEventListener("click", selectItemHandler);
			}
		}
	}
	catch(e)
	{
		alert("initDropBalloon:" + e.toString());
	}
}

function setFormData()
{
	try
	{
		prevArray = formArray.slice();
		
		changeMathJax("fPart0", formDataArray[0][prevArray[0]]);
		
		if(prevArray[1] == 0)
		{
			changeMathJax("fPart1", "<");
		}
		else if(prevArray[1] == 1)
		{
			changeMathJax("fPart1", ">");
		}
		else if(prevArray[1] == 2)
		{
			changeMathJax("fPart1", "≦");
		}
		else if(prevArray[1] == 3)
		{
			changeMathJax("fPart1", "≧");
		}
		
		if(prevArray[2])
		{
			changeMathJax("fPart2", "+");
		}
		else
		{
			changeMathJax("fPart2", "-");
		}
		
		changeMathJax("fPart3", formDataArray[1][prevArray[3]]);
	}
	catch(e)
	{
		alert("setFormData:" + e.toString());
	}
}

function openDropBalloonHandler(e)
{
	try
	{
		var idStr = e.currentTarget.id;
		
		var f = false;
		
		//三角関数
		if(idStr == "fPart0")
		{
			if($("#dropBalloon").css("display") !="none" && $("#item0").css("display") == "block")
			{
				$("#dropBalloon").css("display", "none");
			}
			else
			{
				$("#item0").css("display", "block");
				$("#item1").css("display", "none");
				$("#item2").css("display", "none");
				$("#item3").css("display", "none");
				
				f = true;
			}
		}
		//左辺の値
		else
		{
			if($("#dropBalloon").css("display") != "none" && $("#item3").css("display") == "block")
			{
				$("#dropBalloon").css("display", "none");
			}
			else
			{
				$("#item0").css("display", "none");
				$("#item1").css("display", "none");
				$("#item2").css("display", "none");
				$("#item3").css("display", "block");
				
				f = true;
			}
		}
		
		if(f)
		{
			$("#dropBalloon").css("display", "inline-block");
			
			var pX = $("#"+idStr).position().left;
			var pY = $("#"+idStr).position().top;
			var pW = $("#"+idStr).outerWidth();
			var pH = $("#"+idStr).outerHeight();
			
			$("#dropBalloon").css("left", pX + pW-60);
			$("#dropBalloon").css("top", pY+pH+20);
			
			document.getElementById("dropBalloonBlock").style.height = "auto";
			document.getElementById("dropBalloonBlock").style.overflow = "hidden";
			
			if($("#dropBalloon").innerHeight() > 200)
			{
				document.getElementById("dropBalloonBlock").style.height = "200px";
				document.getElementById("dropBalloonBlock").style.overflow = "scroll";
			}
		}
	}
	catch(e)
	{
		alert("openDropBalloonHandler:" + e.toString());
	}
}
//
function changeOperatorHandler(e)
{
	try
	{
		if(e.currentTarget.id == "fPart1")
		{
			switch(prevArray[1])
			{
				case 0:
					changeMathJax("fPart1", ">", false);
					prevArray[1] = 1;
					break;
				
				case 1:
					changeMathJax("fPart1", "≦", false);
					prevArray[1] = 2;
					break;
					
				case 2:
					changeMathJax("fPart1", "≧", false);
					prevArray[1] = 3;
					break;
				
				case 3:
					changeMathJax("fPart1", "<", false);
					prevArray[1] = 0;
					break;
			}
		}
		else
		{
			if(prevArray[2])
			{
				changeMathJax("fPart2", "-", false);
			}
			else
			{
				changeMathJax("fPart2", "+", false);
			}
			
			prevArray[2]  = !prevArray[2];
		}
	}
	catch(e)
	{
		alert("changeOperatorHandler:" + e.toString());
	}
}

function selectItemHandler(e)
{
	try
	{
		str = e.currentTarget.id;
		
		var i = parseInt(str.substring(4, 5));
		var j = parseInt(str.substring(str.lastIndexOf("_")+1, str.length));
		
		//三角関数
		if(i==0)
		{
			changeMathJax("fPart0", formDataArray[0][j]);
			prevArray[0] = j;
		}
		//左辺の値
		else
		{
			changeMathJax("fPart3", formDataArray[1][j]);
			prevArray[3] = j;
		}
		
		$("#dropBalloon").css("display", "none");
	}
	catch(e)
	{
		alert("selectItemHandler:" + e.toString());
	}
}
